JCommons Java 1.5 compatibility

A discussion forum for the JCommon class library.
Post Reply
helmut
Posts: 4
Joined: Sun Aug 03, 2003 9:26 am

JCommons Java 1.5 compatibility

Post by helmut » Sat Jun 12, 2004 2:24 pm

Please make JCommon Java 1.5 compatible. There are some enum's which is a reserved word in Java 1.5.

Thanks

mhilpert
Posts: 494
Joined: Wed Apr 02, 2003 1:57 pm
Location: Germany

Post by mhilpert » Tue Jun 22, 2004 10:24 am

yep, that would be quite important and is just an easy fix in the code.
using JFreeChart 1.0.15 with JDK 1.7.0_25

david.gilbert
JFreeChart Project Leader
Posts: 11680
Joined: Fri Mar 14, 2003 10:29 am
antibot: No, of course not.
Contact:

Post by david.gilbert » Thu Jul 29, 2004 9:18 am

This is done now for the following classes:

Code: Select all

org.jfree.util.HashNMap
org.jfree.xml.factory.objects.ClassFactoryCollector
org.jfree.xml.factory.objects.ClassFactoryImpl
org.jfree.base.config.HierarchicalConfiguration
Hopefully I didn't miss any (I haven't downloaded 1.5 yet, but when I do I'll compile everything to double-check).
David Gilbert
JFreeChart Project Leader

:idea: Read my blog
:idea: Ask your company to buy the JFreeChart Developer Guide
:idea: Check out other products sold by my company Object Refinery Limited

Post Reply